Package org.kapott.hbci.sepa.jaxb.camt_052_001_06

## Class FinancialInstitutionIdentification8

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_06.FinancialInstitutionIdentification8

    public class FinancialInstitutionIdentification8
    extends java.lang.Object

Java class for FinancialInstitutionIdentification8 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FinancialInstitutionIdentification8">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BICFI" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}BICFIIdentifier" minOccurs="0"/>
             <element name="ClrSysMmbId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}ClearingSystemMemberIdentification2" minOccurs="0"/>
             <element name="Nm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max140Text" minOccurs="0"/>
             <element name="PstlAdr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}PostalAddress6" minOccurs="0"/>
             <element name="Othr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}GenericFinancialIdentification1" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `bicfi`
`protected ClearingSystemMemberIdentification2` `clrSysMmbId`
`protected java.lang.String` `nm`
`protected GenericFinancialIdentification1` `othr`
`protected PostalAddress6` `pstlAdr`

### Constructor Summary

Constructors
`FinancialInstitutionIdentification8()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getBICFI()` Gets the value of the bicfi property.
`ClearingSystemMemberIdentification2` `getClrSysMmbId()` Gets the value of the clrSysMmbId property.
`java.lang.String` `getNm()` Gets the value of the nm property.
`GenericFinancialIdentification1` `getOthr()` Gets the value of the othr property.
`PostalAddress6` `getPstlAdr()` Gets the value of the pstlAdr property.
`void` `setBICFI​(java.lang.String value)` Sets the value of the bicfi property.
`void` `setClrSysMmbId​(ClearingSystemMemberIdentification2 value)` Sets the value of the clrSysMmbId property.
`void` `setNm​(java.lang.String value)` Sets the value of the nm property.
`void` `setOthr​(GenericFinancialIdentification1 value)` Sets the value of the othr property.
`void` `setPstlAdr​(PostalAddress6 value)` Sets the value of the pstlAdr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### bicfi

    protected java.lang.String bicfi

#### clrSysMmbId

    protected ClearingSystemMemberIdentification2 clrSysMmbId

#### nm

    protected java.lang.String nm

#### pstlAdr

    protected PostalAddress6 pstlAdr

#### othr

    protected GenericFinancialIdentification1 othr

### Constructor Detail

#### FinancialInstitutionIdentification8

    public FinancialInstitutionIdentification8()

### Method Detail

#### getBICFI

    public java.lang.String getBICFI()

Gets the value of the bicfi property.

Returns:
  possible object is `String`

#### setBICFI

    public void setBICFI​(java.lang.String value)

Sets the value of the bicfi property.

Parameters:
  `value` - allowed object is `String`

#### getClrSysMmbId

    public ClearingSystemMemberIdentification2 getClrSysMmbId()

Gets the value of the clrSysMmbId property.

Returns:
  possible object is `ClearingSystemMemberIdentification2`

#### setClrSysMmbId

    public void setClrSysMmbId​(ClearingSystemMemberIdentification2 value)

Sets the value of the clrSysMmbId property.

Parameters:
  `value` - allowed object is `ClearingSystemMemberIdentification2`

#### getNm

    public java.lang.String getNm()

Gets the value of the nm property.

Returns:
  possible object is `String`

#### setNm

    public void setNm​(java.lang.String value)

Sets the value of the nm property.

Parameters:
  `value` - allowed object is `String`

#### getPstlAdr

    public PostalAddress6 getPstlAdr()

Gets the value of the pstlAdr property.

Returns:
  possible object is `PostalAddress6`

#### setPstlAdr

    public void setPstlAdr​(PostalAddress6 value)

Sets the value of the pstlAdr property.

Parameters:
  `value` - allowed object is `PostalAddress6`

#### getOthr

    public GenericFinancialIdentification1 getOthr()

Gets the value of the othr property.

Returns:
  possible object is `GenericFinancialIdentification1`

#### setOthr

    public void setOthr​(GenericFinancialIdentification1 value)

Sets the value of the othr property.

Parameters:
  `value` - allowed object is `GenericFinancialIdentification1`